Skip to content

AI 优化:LLM 提及最多的域名(实时)

POST /v3/ai_optimization/llm_mentions/top_mentioned_domains/live

本接口使用 POST 方法,路径为:

/v3/ai_optimization/llm_mentions/top_mentioned_domains/live

本接口根据指定的 target,汇总 LLM(大语言模型)回答中被提及频率最高的域名,并按位置、语言、平台、来源域名、搜索结果域名及品牌实体等维度返回统计数据。支持查询 Google AI 概览(google)和 ChatGPT(chat_gpt)数据。

每次请求只能一个任务,单个请求的 task 数量为 1。接口当平台限流以认证说明中的 30/60/120 次/分钟规则为准。

计费

扣费以响应头 X-SeerMarTech-Charge-CNY 为准。响应体中的 cost 字段为任务费用信息,金额及币种以平台响应为准。

请求格式

所有 POST 请求均须使用 UTF-8 编码的 JSON 格式,请求体是 JSON 数组:

json
[
  {
    "target": [
      {
        "keyword": "bmw",
        "search_scope": ["answer"]
      }
    ],
    "language_code": "en",
    "location_code": 2840,
    "platform": "chat_gpt"
  }
]

请求参数

任务参数

参数类型说明
targetarray目标实体数组,最多 10 个实体。每个实体只能一个 domain 或一个 keyword,并可筛选参数。请求至少需要一个 search_filterinclude 的域名实体或实体。
location_namestring搜索位置的完整名称。填写后无需填写 location_code。未填写时,默认使用位置代码 2840。可通过位置与语言列表接口获取可用值。ChatGPT 数据支持 United States
location_codeinteger搜索位置代码。填写后无需填写 location_name,默认值为 2840。ChatGPT 数据支持 2840
language_namestring搜索语言的完整名称。填写后无需填写 language_code。未填写时,默认使用 en。ChatGPT 数据支持 English
language_codestring搜索语言代码。填写后无需填写 language_name,默认值为 en。ChatGPT 数据支持 en
platformstring目标平台,可选值:chat_gptgoogle。未指定时返回两个平台的数据。
links_scopestring用于提取域名和聚合数据的链接范围,可选值:sourcessearch_results,默认值为 sources。使用 search_results 时支持 chat_gpt
filtersarray对聚合结果进行筛选,最多设置 8 个过滤条件。多个条件之间使用 andor 指定逻辑。
initial_dataset_filtersarray在聚合前对原始 LLM 提及数据进行筛选符合条件的数据行会参与聚合。最多设置 8 个过滤条件。
limitintegeritems 数组最多返回的结果数量,取值范围为 11000,默认值为 100
internal_list_limitinteger限制数组的最大数量,适用于 sources_domainsearch_results_domainbrand_entities_titlebrand_entities_category。取值范围为 110,默认值为 5
order_byarray结果排序规则。最多设置 3 条规则,排序字段可使用 filters 支持的字段,排序方向为 ascdesc
offsetinteger结果偏移量,默认值为 0。例如设置为 10 时,跳过前 10 条结果。最大值为 1000000
include_domainsarray返回数组中指定的域名。
exclude_domainsarray排除数组中指定的域名。
tagstring用户自定义任务标识,最长 255 个字符。该值会原样返回在响应的 data 对象中,可用于请求与结果。

位置与语言列表可通过以下接口获取:

/v3/ai_optimization/llm_mentions/locations_and_languages

target 参数

target 数组中的每个对象可以是域名实体或实体。

域名实体:domain_entity

参数类型说明
domainstring是(未指定 keyword 时)目标域名,最长 63 个字符。请勿 https://www.
search_filterstring域名筛选方式:includeexclude。默认值为 include
search_scopearray域名搜索范围:anysourcessearch_results。默认值为 any。使用 search_results 时支持 chat_gpt
include_subdomainsboolean是否将目标域名的子域名纳搜索。默认值为 false

示例:

json
{
  "domain": "example.com",
  "search_filter": "include",
  "search_scope": ["sources"],
  "include_subdomains": true
}

实体:keyword_entity

参数类型说明
keywordstring是(未指定 domain 时)目标,最长 250 个字符。
search_filterstring筛选方式:includeexclude。默认值为 include
search_scopearray搜索范围:anyquestionanswerbrand_entitiesfan_out_queries。默认值为 any
match_typestring匹方式:word_matchpartial_match。默认值为 word_match

match_type 的含义:

  • word_match:进行匹,可匹目标前后或中间词的文本。
  • partial_match:匹中出现的或片段。

示例:

json
{
  "keyword": "bmw",
  "search_filter": "include",
  "search_scope": ["answer"],
  "match_type": "partial_match"
}

过滤条件

filtersinitial_dataset_filters 使用数组表达式,例如:

json
[
  ["ai_search_volume", ">", 10]
]

支持的运算符:

=<>innot_inlikenot_likeilikenot_ilikematchnot_match

使用 likenot_like 时,可以使用 % 匹零个或多个字符。

多个过滤条件示例:

json
[
  ["mentions", ">", 100],
  "and",
  ["domain", "like", "%example%"]
]

请求示例

curl

bash
curl --location --request POST \
  "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains/live" \
  --header "Authorization: Bearer smt_live_YOUR_KEY" \
  --header "Content-Type: application/json" \
  --data-raw '[
    {
      "language_code": "en",
      "location_code": 2840,
      "platform": "chat_gpt",
      "target": [
        {
          "keyword": "bmw",
          "search_scope": ["answer"]
        },
        {
          "keyword": "auto",
          "search_scope": ["question"],
          "match_type": "partial_match"
        }
      ],
      "links_scope": "sources",
      "initial_dataset_filters": [
        ["ai_search_volume", ">", 10]
      ],
      "limit": 5,
      "internal_list_limit": 2
    }
  ]'

Python

python
import requests

url = "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains/live"

headers = {
    "Authorization": "Bearer smt_live_YOUR_KEY",
    "Content-Type": "application/json",
}

post_data = [
    {
        "language_code": "en",
        "location_code": 2840,
        "platform": "chat_gpt",
        "target": [
            {
                "keyword": "bmw",
                "search_scope": ["answer"],
            },
            {
                "keyword": "auto",
                "search_scope": ["question"],
                "match_type": "partial_match",
            },
        ],
        "links_scope": "sources",
        "initial_dataset_filters": [
            ["ai_search_volume", ">", 10],
        ],
        "limit": 5,
        "internal_list_limit": 2,
    }
]

response = requests.post(url, headers=headers, json=post_data)
response.raise_for_status()
result = response.json()

if result.get("status_code") == 20000:
    print(result)
else:
    print(
        f"请求失败,错误码:{result.get('status_code')},"
        f"错误信息:{result.get('status_message')}"
    )

TypeScript

typescript
import axios from "axios";

const url =
  "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains/live";

const requestBody = [
  {
    language_code: "en",
    location_code: 2840,
    platform: "chat_gpt",
    target: [
      {
        keyword: "bmw",
        search_scope: ["answer"],
      },
      {
        keyword: "auto",
        search_scope: ["question"],
        match_type: "partial_match",
      },
    ],
    links_scope: "sources",
    initial_dataset_filters: [["ai_search_volume", ">", 10]],
    limit: 5,
    internal_list_limit: 2,
  },
];

axios
  .post(url, requestBody, {
    headers: {
      Authorization: "Bearer smt_live_YOUR_KEY",
      "Content-Type": "application/json",
    },
  })
  .then((response) => {
    // 处理接口返回结果
    console.log(response.data);
  })
  .catch((error) => {
    console.error("请求失败:", error.response?.data || error.message);
  });

响应结构

接口返回 JSON 数据,顶层 tasks 数组。

顶层响应字段

字段类型说明
versionstring当前 API 版本。
status_codeinteger通用状态码。成功通常为 20000
status_messagestring通用状态信息。
timestring请求执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
tasks_countintegertasks 数组中的任务数量。
tasks_errorintegertasks 数组中执行失败的任务数量。
tasksarray任务结果数组。

tasks 任务字段

字段类型说明
idstring任务唯一标识,UUID 格式。
status_codeinteger任务状态码,通常在 1000060000 范围。
status_messagestring任务状态信息。
timestring任务执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
result_countintegerresult 数组中的数量。
patharray请求 API 路径。
dataobject本次 POST 请求中提交的任务参数。
resultarray任务结果数组。

result 字段

字段类型说明
total_countinteger与请求条件匹的结果总数。
offsetintegeritems 数组中被跳过的结果数量。
items_countinteger本次 items 数组返回的结果数量。
aggregated_metricsobject所有匹域名的 LLM 提及聚合指标。
itemsarray各个高频提及域名的详细结果。

聚合指标

aggregated_metrics 表示所有匹域名的整体统计结果。

分组字段

以下字段均为数组,每个:

字段类型说明
keyinteger/string分组标识。位置分组通常为整数,分组通常为字符串。
mentionsinteger在该分组下,目标或域名被 LLM 提及的次数。
ai_search_volumeinteger该分组下 LLM 提及的 AI 搜索量。

支持的分组字段如下:

字段说明
location按地理位置分组。
language按语言分组。
platform按 AI 平台分组。
sources_domainLLM 回答中作为引用来源出现的高频域名。
search_results_domain与 LLM 查询、出现在搜索结果中的高频域名。 chat_gpt 支持。
brand_entities_title与目标、出现在搜索结果中的品牌实体标题。 chat_gpt 支持。
brand_entities_category与目标、出现在搜索结果中的品牌实体类别。 chat_gpt 支持。

aggregated_metrics.total

字段类型说明
mentionsinteger与目标的 LLM 提及总次数。
ai_search_volumeinteger所有提及的 AI 搜索量总计。

items 域名结果

items 数组中的每个代表一个被提及的域名。

字段类型说明
domainstringLLM 回答中与指定目标的域名。
locationarray该域名按地理位置划分的提及指标。
languagearray该域名按语言划分的提及指标。
platformarray该域名按 AI 平台划分的提及指标。
sources_domainarray与该域名的来源域名及提及指标。
search_results_domainarray与该域名的搜索结果域名及提及指标。
brand_entities_titlearray与该域名的品牌实体标题及提及指标。
brand_entities_categoryarray与该域名的品牌实体类别及提及指标。
totalobject该域名的 LLM 提及指标汇总。

locationlanguageplatformsources_domainsearch_results_domainbrand_entities_titlebrand_entities_category 数组中的均:

字段类型说明
keyinteger/string分组标识;对于域名分组,该字段为域名名称。
mentionsinteger目标与该分组的 LLM 提及次数。
ai_search_volumeinteger该分组提及的 AI 搜索量。

items[].total

字段类型说明
mentionsinteger与该域名的 LLM 提及总次数。
ai_search_volumeinteger与该域名的所有提及的 AI 搜索量总计。

响应示例

json
{
  "version": "0.1.20251208",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.9150 sec.",
  "cost": 0.101,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.8000 sec.",
      "cost": 0.101,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "top_mentioned_domains",
        "live"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "top_mentioned_domains",
        "language_code": "en",
        "location_code": 2840,
        "platform": "chat_gpt",
        "target": [
          {
            "keyword": "bmw",
            "search_scope": ["answer"]
          },
          {
            "keyword": "auto",
            "search_scope": ["question"],
            "match_type": "partial_match"
          }
        ],
        "links_scope": "sources",
        "initial_dataset_filters": [
          ["ai_search_volume", ">", 10]
        ],
        "limit": 5,
        "internal_list_limit": 2
      },
      "result": [
        {
          "total_count": 5,
          "offset": 0,
          "items_count": 5,
          "aggregated_metrics": {
            "location": [
              {
                "key": 2840,
                "mentions": 9999,
                "ai_search_volume": 99999
              }
            ],
            "language": [
              {
                "key": "en",
                "mentions": 9999,
                "ai_search_volume": 99999
              }
            ],
            "platform": [
              {
                "key": "chat_gpt",
                "mentions": 9999,
                "ai_search_volume": 99999
              }
            ],
            "sources_domain": [
              {
                "key": "example.com",
                "mentions": 600,
                "ai_search_volume": 6000
              }
            ],
            "search_results_domain": [],
            "brand_entities_title": [],
            "brand_entities_category": [],
            "total": {
              "mentions": 9999,
              "ai_search_volume": 99999
            }
          },
          "items": [
            {
              "domain": "example.com",
              "location": [],
              "language": [],
              "platform": [],
              "sources_domain": [],
              "search_results_domain": [],
              "brand_entities_title": [],
              "brand_entities_category": [],
              "total": {
                "mentions": 600,
                "ai_search_volume": 6000
              }
            },
            {
              "domain": "en.wikipedia.org",
              "location": [],
              "language": [],
              "platform": [],
              "sources_domain": [],
              "search_results_domain": [],
              "brand_entities_title": [],
              "brand_entities_category": [],
              "total": {
                "mentions": 600,
                "ai_search_volume": 6000
              }
            }
          ]
        }
      ]
    }
  ]
}

如需处理异常,请根据响应中的顶层 status_code、任务级 status_codestatus_message 进行判断。

实用场景

  • 识别高频被引用的竞品域名,定位行业标杆:分析目标在 LLM 回答中的高频域名,帮助 SEO 团队制定选题和外链建设策略。
  • 监测品牌在 AI 回答中的可见度,评估 GEO 优化效果:通过 mentionsai_search_volume 对比不同时间或平台的数据,衡量品牌优化后的变化。
  • 分析 LLM 引用来源,优化权威布局:使用 sources_domain 找出经常被 AI 回答引用的来源网站,为数字、媒体投放和权威建设提供依据。
  • 对比 ChatGPT 与 Google AI 概览的域名差异,制定平台化优化方案:分别指定 platform,识别不同 AI 平台的排名和引用偏好。
  • 筛选高价值域名结果,构建竞品与品牌监控报表:结合 filtersinitial_dataset_filtersinclude_domainsexclude_domains,减少无数据并输出可直接用于分析的域名单。

统一入口:官网 · LLM API · 控制台